Package org.eclipse.net4j.ui

# Class Net4jItemProvider

java.lang.Object
org.eclipse.jface.viewers.ViewerComparator
org.eclipse.jface.viewers.ViewerSorter
org.eclipse.net4j.util.ui.StructuredContentProvider<INPUT>
org.eclipse.net4j.util.ui.views.ItemProvider<CONTAINER>
org.eclipse.net4j.util.ui.views.ContainerItemProvider<org.eclipse.net4j.util.container.IContainer<Object>>
org.eclipse.net4j.ui.Net4jItemProvider

All Implemented Interfaces:
  `EventListener`, `DelegatingStyledCellLabelProvider.IStyledLabelProvider`, `IBaseLabelProvider`, `IColorProvider`, `IContentProvider`, `IFontProvider`, `ILabelProvider`, `IStructuredContentProvider`, `ITreeContentProvider`, `org.eclipse.net4j.util.event.IListener`

public class Net4jItemProvider extends org.eclipse.net4j.util.ui.views.ContainerItemProvider<org.eclipse.net4j.util.container.IContainer<Object>>
If the meaning of this type isn't clear, there really should be more of a description here...

Since:
  4.1
Author:
  Eike Stepper

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`Net4jItemProvider.RemoveAction`
If the meaning of this type isn't clear, there really should be more of a description here...

## Nested classes/interfaces inherited from class org.eclipse.net4j.util.ui.views.ContainerItemProvider

`org.eclipse.net4j.util.ui.views.ContainerItemProvider.AbstractContainerNode, org.eclipse.net4j.util.ui.views.ContainerItemProvider.AbstractNode, org.eclipse.net4j.util.ui.views.ContainerItemProvider.ContainerNode, org.eclipse.net4j.util.ui.views.ContainerItemProvider.ErrorElement, org.eclipse.net4j.util.ui.views.ContainerItemProvider.FixedChildrenNode, org.eclipse.net4j.util.ui.views.ContainerItemProvider.LazyElement, org.eclipse.net4j.util.ui.views.ContainerItemProvider.LeafNode, org.eclipse.net4j.util.ui.views.ContainerItemProvider.Node, org.eclipse.net4j.util.ui.views.ContainerItemProvider.SlowElement`

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.IListener

`org.eclipse.net4j.util.event.IListener.NotifierAware`

## Field Summary

### Fields inherited from class org.eclipse.net4j.util.ui.views.ContainerItemProvider

`ERROR_IMAGE, PENDING_COLOR, PENDING_IMAGE`

### Fields inherited from class org.eclipse.net4j.util.ui.views.ItemProvider

`NO_ELEMENTS`

### Fields inherited from class org.eclipse.jface.viewers.ViewerSorter

`collator`

## Constructor Summary

Constructors
Constructor
Description
`Net4jItemProvider()`
`Net4jItemProvider(org.eclipse.net4j.util.ui.views.IElementFilter rootElementFilter)`

## Method Summary

Modifier and Type
Method
Description
`void`
`fillContextMenu(IMenuManager manager, ITreeSelection selection)`
`Image`
`getImage(Object obj)`

### Methods inherited from class org.eclipse.net4j.util.ui.views.ContainerItemProvider

`addNode, clearNodesCache, connectInput, createContaineNode, createLeafNode, createNode, createSlowElement, createSlowInput, disconnectInput, elementAdded, elementRemoved, executeRunnable, filterRootElement, getChildren, getContainerChildren, getErrorText, getFont, getForeground, getNode, getNodes, getParent, getRoot, getRootElementFilter, getSlowText, handleElementEvent, handleInactiveElement, hasChildren, isComputeChildrenEagerly, isSlow, pendingColor, pendingImage, removeNode`

### Methods inherited from class org.eclipse.net4j.util.ui.views.ItemProvider

`addListener, fireLabelProviderChanged, fireLabelProviderChanged, fireLabelProviderChanged, getBackground, getElements, getListeners, getStyledText, getText, isLabelProperty, removeListener`

### Methods inherited from class org.eclipse.net4j.util.ui.StructuredContentProvider

`dispose, expandElement, getBoldFont, getDisplay, getInput, getItalicFont, getViewer, inputChanged, notifyEvent, refreshElement, refreshSynced, refreshViewer, revealElement, selectElement, updateLabels`

### Methods inherited from class org.eclipse.jface.viewers.ViewerSorter

`getCollator`

### Methods inherited from class org.eclipse.jface.viewers.ViewerComparator

`category, compare, getComparator, isSorterProperty, sort`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.jface.viewers.IBaseLabelProvider

`dispose`

### Methods inherited from interface org.eclipse.jface.viewers.IContentProvider

`dispose, inputChanged`

## Constructor Details

### Net4jItemProvider

public Net4jItemProvider()

### Net4jItemProvider

public Net4jItemProvider(org.eclipse.net4j.util.ui.views.IElementFilter rootElementFilter)

## Method Details

### getImage

public Image getImage(Object obj)

Specified by:
  `getImage` in interface `DelegatingStyledCellLabelProvider.IStyledLabelProvider`
Specified by:
  `getImage` in interface `ILabelProvider`
Overrides:
  `getImage` in class `org.eclipse.net4j.util.ui.views.ContainerItemProvider<org.eclipse.net4j.util.container.IContainer<Object>>`

### fillContextMenu

public void fillContextMenu(IMenuManager manager, ITreeSelection selection)

Overrides:
  `fillContextMenu` in class `org.eclipse.net4j.util.ui.views.ContainerItemProvider<org.eclipse.net4j.util.container.IContainer<Object>>`
Since:
  4.2